Subject: linux-next: manual merge of the devicetree tree with the drm tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 14 May 2024 14:12:29 +1000

Hi all,

Today's linux-next merge of the devicetree tree got a conflict in:

  Documentation/devicetree/bindings/display/panel/novatek,nt36523.yaml

between commit:

  90ed42ceda76 ("dt-bindings: display: novatek, nt36523: define ports")

from the drm tree and commit:

  9fa6bcf23e44 ("dt-bindings: display: panel: constrain 'reg' in DSI panels")

from the devicetree tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc Documentation/devicetree/bindings/display/panel/novatek,nt36523.yaml
index bbeea8cfa5fb,0447ee724947..000000000000
--- a/Documentation/devicetree/bindings/display/panel/novatek,nt36523.yaml
+++ b/Documentation/devicetree/bindings/display/panel/novatek,nt36523.yaml
@@@ -34,7 -40,7 +37,6 @@@ properties
    vddio-supply:
      description: regulator that supplies the I/O voltage
  
-   reg: true
 -  ports: true
    rotation: true
    backlight: true